'use strict';

var browser = browser || chrome

browser.runtime.onInstalled.addListener(function() {
  browser.storage.sync.set({number: 0}, function() {
    console.log('The number is set to 0.');
  });
});

function updateIcon() {
  browser.storage.sync.get('number', function(data) {
    var current = data.number;
    browser.browserAction.setIcon({path: 'icon' + current + '.png'});
    current++;
    if (current > 1)
      current = 0;
    browser.storage.sync.set({number: current}, function() {
      console.log('The number is set to ' + current);
    });
  });
};

browser.browserAction.onClicked.addListener(updateIcon);
//updateIcon();
